## indi-bresserexos2 1.0+20221223130124

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(indi-bresserexos2 VERSION 0.901)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(INDI_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/indi")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_bresserexos2.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_bresserexos2.xml )

include(CMakeCommon)

find_package(Threads REQUIRED)
find_package(INDI REQUIRED)
find_package(Nova REQUIRED)

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_CURRENT_SOURCE_DIR})
include_directories( ${INDI_INCLUDE_DIR})

add_executable(indi_bresserexos2 BresserExosIIGoToDriver.cpp IndiSerialWrapper.cpp SerialCommand.cpp)
target_link_libraries(indi_bresserexos2 ${INDI_LIBRARIES} ${NOVA_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} Threads::Threads)
target_include_directories(indi_bresserexos2 PUBLIC
						  "${PROJECT_BINARY_DIR}"
						  )

install(TARGETS indi_bresserexos2 DESTINATION bin)
install( FILES  ${CMAKE_CURRENT_BINARY_DIR}/indi_bresserexos2.xml DESTINATION ${INDI_DATA_DIR})

## indi-bresserexos2 1.0%2B20221223130124

=== debian/control ===
Source: indi-bresserexos2
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, zlib1g-dev
	, libnova-dev
	, libgsl-dev
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-bresserexos2
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-bresserexos2.git

Package: indi-bresserexos2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Exos II GoTo Telescope Mount
 This package contains a basic driver for the Bresser Exos II GoTo
 telescope mount controller, allowing the connection to INDI clients.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.

## indi-bresserexos2 1.0+20220129131520

=== debian/changelog ===
indi-bresserexos2 (1.0+20220129131520-1) unstable; urgency=medium

  * build from indi-3rdparty git after release of version 1.9.4
  * build together with indi version 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 29 Jan 2022 13:37:51 +0000

indi-bresserexos2 (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Dec 2021 12:55:15 +0100

indi-bresserexos2 (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 16:55:15 +0000

## indi-bresserexos2 1.0+20220611122923

=== debian/changelog ===
indi-bresserexos2 (1.0+20220611122923-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Jun 2022 12:29:40 +0000

## indi-bresserexos2 1.0+20221223130124

=== debian/changelog ===
indi-bresserexos2 (1.0+20221223130124-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113014)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:20:48 +0200

indi-bresserexos2 (1.0+20221223130124-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Dec 2022 13:02:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: indi-bresserexos2
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
